local brightnessdir = conf.icon_dir .. "brightness/clockwise/"
local layoutdir = conf.icon_dir .. "layout/"
local batterydir = conf.icon_dir .. "battery/"
local volumedir = conf.icon_dir .. "volume/"
local tagdir = conf.icon_dir .. "tags/"
local titlebardir = conf.icon_dir .. "titlebar/"

return {
	submenu = conf.icon_dir .. "submenu.svg",
	launcher = conf.icon_dir .. "arch.svg",

	-- must be a png for i3lock
	lockicon = conf.icon_dir .. "arch.png",

	music = {
		grey = {
			playing = conf.icon_dir .. "music/pause-grey.svg",
			paused = conf.icon_dir .. "music/play-grey.svg",
			stopped = conf.icon_dir .. "music/stop-grey.svg"
		},

		blue = {
			playing = conf.icon_dir .. "music/pause-blue.svg",
			paused = conf.icon_dir .. "music/play-blue.svg",
			stopped = conf.icon_dir .. "music/stop-blue.svg"
		}
	},

	-- Layout icons
	layout = {
		cornerne = layoutdir .. "cornerne.svg",
		cornernw = layoutdir .. "cornernw.svg",
		cornerse = layoutdir .. "cornerse.svg",
		cornersw = layoutdir .. "cornersw.svg",
		dwindle = layoutdir .. "dwindle.svg",
		fairh = layoutdir .. "fairh.svg",
		fairv = layoutdir .. "fairv.svg",
		floating = layoutdir .. "floating.svg",
		fullscreen = layoutdir .. "fullscreen.svg",
		magnifier = layoutdir .. "magnifier.svg",
		max = layoutdir .. "max.svg",
		spiral = layoutdir .. "spiral.svg",
		tile = layoutdir .. "tile.svg",
		tilebottom = layoutdir .. "tilebottom.svg",
		tileleft = layoutdir .. "tileleft.svg",
		tiletop = layoutdir .. "tiletop.svg"
	},

	-- Battery icons
	battery = {
		missing = batterydir .. "missing.svg",

		charging = {
			full = batterydir .. "full-charging.svg",
			good = batterydir .. "good-charging.svg",
			low = batterydir .. "low-charging.svg",
			caution = batterydir .. "caution-charging.svg",
			empty = batterydir .. "empty-charging.svg"
		},

		full = batterydir .. "full.svg",
		good = batterydir .. "good.svg",
		low = batterydir .. "low.svg",
		caution = batterydir .. "caution.svg",
		empty = batterydir .. "empty.svg"
	},

	-- Volume indicator
	volume = {
		high = volumedir .. "high.svg",
		medium = volumedir .. "medium.svg",
		low = volumedir .. "low.svg",
		off = volumedir .. "off.svg",
		mute = volumedir .. "mute-red.svg",
		error = volumedir .. "error.svg"
	},

	-- Brightness icons
	brightness = {
		a = brightnessdir .. "brightness-0.svg",
		b = brightnessdir .. "brightness-1.svg",
		c = brightnessdir .. "brightness-2.svg",
		d = brightnessdir .. "brightness-3.svg",
		e = brightnessdir .. "brightness-4.svg",
		f = brightnessdir .. "brightness-5.svg",
		g = brightnessdir .. "brightness-6.svg",
		h = brightnessdir .. "brightness-7.svg",
		i = brightnessdir .. "brightness-8.svg"
	},

	-- RAID status
	raid = {
		healthy = {
			normal = conf.icon_dir .. "raid/healthy.svg",
			recover = conf.icon_dir .. "raid/healthy-recover.svg"
		},
		degraded = {
			normal = conf.icon_dir .. "raid/degraded.svg",
			recover = conf.icon_dir .. "raid/degraded-recover.svg"
		}
	},

	-- Icons shown on window bars
	titlebar = {
		close = {
			focus_hover = titlebardir .. "hover/close.svg",
			normal_hover = titlebardir .. "hover/close.svg",
			focus = titlebardir .. "regular/close.svg",
			normal = titlebardir .. "regular/close.svg"
		},

		floating = {
			inactive = {
				focus_hover = titlebardir .. "hover/float.svg",
				normal_hover = titlebardir .. "hover/float.svg",
				focus = titlebardir .. "regular/float.svg",
				normal = titlebardir .. "regular/float.svg"
			},
			active = {
				focus_hover = titlebardir .. "regular/float.svg",
				normal_hover = titlebardir .. "regular/float.svg",
				focus = titlebardir .. "hover/float.svg",
				normal = titlebardir .. "hover/float.svg"
			}
		},

		maximize = {
			inactive = {
				focus_hover = titlebardir .. "hover/maximize.svg",
				normal_hover = titlebardir .. "hover/maximize.svg",
				focus = titlebardir .. "regular/maximize.svg",
				normal = titlebardir .. "regular/maximize.svg"
			},
			active = {
				focus_hover = titlebardir .. "regular/maximize.svg",
				normal_hover = titlebardir .. "regular/maximize.svg",
				focus = titlebardir .. "hover/maximize.svg",
				normal = titlebardir .. "hover/maximize.svg"
			}
		},

		minimize = {
			focus_hover = titlebardir .. "hover/minimize.svg",
			normal_hover = titlebardir .. "hover/minimize.svg",
			focus = titlebardir .. "regular/minimize.svg",
			normal = titlebardir .. "regular/minimize.svg"
		},

		ontop = {
			inactive = {
				focus_hover = titlebardir .. "hover/ontop.svg",
				normal_hover = titlebardir .. "hover/ontop.svg",
				focus = titlebardir .. "regular/ontop.svg",
				normal = titlebardir .. "regular/ontop.svg"
			},
			active = {
				focus_hover = titlebardir .. "regular/ontop.svg",
				normal_hover = titlebardir .. "regular/ontop.svg",
				focus = titlebardir .. "hover/ontop.svg",
				normal = titlebardir .. "hover/ontop.svg"
			}
		},

		sticky = {
			inactive = {
				focus_hover = titlebardir .. "hover/stick.svg",
				normal_hover = titlebardir .. "hover/stick.svg",
				focus = titlebardir .. "regular/stick.svg",
				normal = titlebardir .. "regular/stick.svg"
			},
			active = {
				focus_hover = titlebardir .. "regular/stick.svg",
				normal_hover = titlebardir .. "regular/stick.svg",
				focus = titlebardir .. "hover/stick.svg",
				normal = titlebardir .. "hover/stick.svg"
			}
		}
	}
}
